package com.webchat.domain.vo.response.chatting;


import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class ChattingListResponseVO {

    /**
     * 是否未读
     */
    private boolean unread;

    /**
     * 最新对话时间，默认13位时间戳
     */
    private Long lastChatTime;

    /**
     * 最新一次对话离线消息内容（注意需要处理成纯文本，可能包含图片、文件、富文本、MD等格式）
     */
    private String lastOfflineMessage;

    /**
     * 对话用户详情
     */
    private UserBaseResponseInfoVO user;
}
